#
# spec file for package python-pytzdata
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2020 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytzdata
Version:        2020.1
Release:        3.10
Summary:        The pytzdata module for Python-pendulum
License:        MIT
URL:            https://github.com/sdispater/pytzdata
Source:         https://github.com/sdispater/pytzdata/archive/refs/tags/%{version}.tar.gz#/pytzdata-%{version}-gh.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pytest}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  timezone
Requires:       timezone
BuildArch:      noarch
%python_subpackages

%description
The Olson timezone database for Python. This version is linked to the systemwide zone info

%prep
%setup -q -n pytzdata-%{version}
sed -i 's/poetry.masonry/poetry.core.masonry/' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
# delete internal database
%{python_expand rm -r %{buildroot}%{$python_sitelib}/pytzdata/zoneinfo
ln -s /usr/share/zoneinfo %{buildroot}%{$python_sitelib}/pytzdata/zoneinfo
%fdupes %{buildroot}%{$python_sitelib}
}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytzdata
%{python_sitelib}/pytzdata-%{version}.dist-info

%changelog
* Wed May 31 2023 Ben Greiner <code@bnavigator.de>
- Bring this Ring1 package to python packaging standards
  * Switch to github tarball in order to run the tests
  * Don't catchall sitelib
  * Replace deprecated setup.py with PEP517
    (poetry-core is enough to build)
  * Pure python module: BuildArch is noarch
* Mon May  8 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Mon Aug  3 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2020.1:
  * Use version 2020a of the Oslon data.
* Tue Mar  3 2020 Axel Braun <axel.braun@gmx.de>
- version 2019.3 - initial build on OBS
